import { Component } from 'react'
import { View } from '@tarojs/components';
import Taro from '@tarojs/taro';
import '@antmjs/vantui/lib/index.less';
import './app.less'
import { login } from './services/user';
import store, { StoreRoot, useModel } from './store'


class App extends Component {

  componentDidMount () { }

  componentDidShow () { }

  componentDidHide () { }

  componentDidCatchError () { }
  onLaunch (options) {
    const { logins, setUserLocation } = store.getModel('userData').getState()


    // 登录获取人员信息


    Taro.login({
      success: (res) => {
        const { code } = res;
        logins({ code })


      }
    })
  }

  // this.props.children 是将要会渲染的页面

  render () {
    return <StoreRoot>
      {this.props.children}
    </StoreRoot>
    // <View className='index'>
    //   {this.props.children}
    // </View>



  }
}

export default App
