import React, { useEffect, useMemo, useState } from 'react'
import { View } from '@tarojs/components'
import dayjs from 'dayjs'

export default (props) => {
  const { className, style } = props

  const [dt, setDt] = useState(dayjs().format('YYYY-MM-DD HH:mm:ss'))

  useEffect(() => {
    const t = setInterval(() => {
      setDt(dayjs().format('YYYY-MM-DD HH:mm:ss'))
    }, 1000);

    return () => clearInterval(t)
  }, [])

  return (
    <View className={className} style={style}>{dt}</View>
  )
}
