import { View, Text } from "@tarojs/components"
import { useEffect, useState } from "react"
import Taro, { useDidShow } from "@tarojs/taro"
import { TreeSelect } from "@antmjs/vantui";
import { getDepartmenList } from "../../services/user";

// import BottomMoadl from '@/components/BottomMoadl/index'






import './style.less'

export default (props) => {
  useEffect(() => {
    getDepartmenList().then((e) => {
      console.log('科室选择', e);
    })
  }, [])

  // {
  //   text: number ¦ string
  //   badge?: number ¦ string
  //   dot?: boolean
  //   disabled?: boolean
  //   children?: {
  //     text: number ¦ string
  //     id: number ¦ string
  //     disabled?: boolean
  //   }[]
  // }[]
  const items = [
    { text: '眼科医院', children: [{ text: '连云港市爱尔眼科' }, { text: '眼科一楼' }], },
    {
      text: '连云港开发区高中',
      children:
        [
          { text: '开发区高一4班' },
          { text: '开发区高一8班' },
          { text: '开发区高一8班' },
          { text: '开发区高二1班' },
          { text: '开发区高二2班' },
          { text: '开发区高二3班' },
          { text: '开发区高二15班' },
          { text: '开发区高三10班' },
          { text: '开发区高三2班' },

        ]
    }
  ]
  const onClickNav = () => {
    console.log('父级: detail.index || 0',);
  }
  const onClickItem = () => {
    console.log('自己: detail.index || 0',);

  }





  return (
    <View className='page-index'>
      <TreeSelect
        items={items}
        mainActiveIndex={items.mainActiveIndex}
        activeId={items.activeId}
        onClickNav={onClickNav}
        onClickItem={onClickItem}
      />

    </View>
  )
}
