import { View, Text, Image } from '@tarojs/components'
import { useEffect, useRef, useState } from 'react'
import dayjs from 'dayjs'
import { Button, Icon } from "@antmjs/vantui";
import Taro from '@tarojs/taro';
import BarCode from '@/components/barcode'
import CountDown from '@/components/CountDown'

import './style.less'

export default (props) => {
  const userId = '320888800110023011';
  
  const goUserInfo = () => {
    // 跳转到目的页面，在当前页面打开
    Taro.redirectTo({
      url: '/pages/setUserInfo/index'
    })

  }

  return (
    <View className='index-UserQRcode'>
      {/* <Text>Hello world!</Text> */}
      {/* <View className='index-UserQRcode-headerInfo' style={{ backgroundImage: `url(${userBck})` }}> */}
      <View className='index-UserQRcode-headerInfo' >
        <View className='index-UserQRcode-headerInfo-User'>
          <View className='index-UserQRcode-headerInfo-User-NameInfo'>姓名：鲍张抄</View>
          <View onClick={goUserInfo} className='index-UserQRcode-headerInfo-User-setNameInfo'><Icon name='edit' />修改信息</View>
        </View>
        <View className='index-UserQRcode-headerInfo-UserID'>身份证：{userId.replace(/^(\d{6})\d+(\d{4})$/, "$1******$2")}</View>
      </View>
      <View className='index-UserQRcode-cententQR'>
        <CountDown className='index-UserQRcode-cententQR-Times' />
        <View className='index-UserQRcode-cententQR-Barcode'>
          <BarCode ratio={0.7} height={80} code='322050442037' />
        </View>
      </View>
    </View>
  )
}




