import { View, Text, Input } from "@tarojs/components"
import { useEffect, useRef, useState } from "react"
import Taro, { useDidShow } from "@tarojs/taro"
import { Button, Form, FormItem, Icon } from "@antmjs/vantui";


// import BottomMoadl from '@/components/BottomMoadl/index'
import './style.less'

export default (props) => {

  const handleClick = (fieldValues) => {

    console.info(fieldValues)
  }
  const goDepartmen = () => {
    Taro.navigateTo({
      url: '/pages/DepartmentSelection/index'
    })

  }
  const getPhone = () => {
    console.log('手机号',);

  }
  return (
    <View className='page-index'>
      <Form
        initialValues={{
          name: '我是初始值',
          singleSelect: '1',
          rate: 2,
          slider: '50',
        }}
        // ref={(el) => (form = el)}
        onFinish={(e) => handleClick(e)}
      >
        <FormItem
          label='用户名'
          name='userName'
          required

          trigger='onInput'
          validateTrigger='onBlur'
          // taro的input的onInput事件返回对应表单的最终值为e.detail.value
          valueFormat={(e) => e.detail.value}
        >
          <Input placeholder='请输入用户名' />
        </FormItem>
        <FormItem
          label='手机号'
          name='phone'
          required
          trigger='onInput'
          validateTrigger='onBlur'
          // taro的input的onInput事件返回对应表单的最终值为e.detail.value
          valueFormat={(e) => e.detail.value}
        >
          <Input placeholder='请输入手机号' type='number' />
          <Button
            plain
            hairline
            size='small'
            type='info'
            onGetPhoneNumber={getPhone}
          >
            一键填写
          </Button>
        </FormItem>

        <FormItem
          label='身份证'
          name='id'
          required

          trigger='onInput'
          validateTrigger='onBlur'
          // taro的input的onInput事件返回对应表单的最终值为e.detail.value
          valueFormat={(e) => e.detail.value}
        >
          <Input placeholder='请输入身份证号' type='number' />
        </FormItem>

        <FormItem
          label='科室'
          name='departmen'
          required

          trigger='onInput'
          validateTrigger='onBlur'
          // taro的input的onInput事件返回对应表单的最终值为e.detail.value
          valueFormat={(e) => e.detail.value}
        >
          <Input placeholder='请选择科室' value='' disabled onClick={goDepartmen} />
        </FormItem>
        <View className='buttom-box'>
          <Button
            type='info'
            size='normal'
            formType='submit'
            className='buttom-box-buttonSubmit'
          >
            提交
          </Button>
        </View>

      </Form>
    </View>
  )
}
